Debian Bug report logs - #494831
kvm: linux boot hang when using serial console

version graph

Package: kvm; Maintainer for kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for kvm is src:qemu-kvm.

Reported by: Daniel Dehennin <daniel.dehennin@baby-gnu.org>

Date: Tue, 12 Aug 2008 14:53:32 UTC

Severity: important

Found in version kvm/71+dfsg-1

Fixed in versions kvm/79+dfsg-1, 72+dfsg-3

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. Full text and rfc822 format available.

Acknowledgement sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
New Bug report received and forwarded. Copy sent to Jan Lübbe <jluebbe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Dehennin <daniel.dehennin@baby-gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kvm: linux boot hang when using serial console
Date: Tue, 12 Aug 2008 16:50:14 +0200
Package: kvm
Version: 71+dfsg-1
Severity: normal

Hello,

Using libvirt for managing kvm guest I had a strange error when
disableing graphics and using only serial console.

>From the IRC #kvm channel:
<danpb> that's a QEMU bug - its running the PTY in blocking mode
<danpb> it was fixed in upstream QEMU a week ago or so
<danpb> it was fixed in QEMU SVN checkin #4956 if you want to backport
        to your QEMU tree

Regards.
-- Package-specific info:


/proc/cpuinfo:

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Duo CPU     E6750  @ 2.66GHz
stepping	: 11
cpu MHz		: 1998.000
cache size	: 4096 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 5346.10
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Duo CPU     E6750  @ 2.66GHz
stepping	: 11
cpu MHz		: 1998.000
cache size	: 4096 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 5343.03
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:




-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.2+hati.1 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kvm depends on:
ii  adduser                3.109             add and remove users and groups
ii  bridge-utils           1.4-4             Utilities for configuring the Linu
ii  iproute                20080725-2        networking and traffic control too
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libgnutls26            2.4.1-1           the GNU TLS library - runtime libr
ii  libncurses5            5.6+20080804-1    shared libraries for terminal hand
ii  libsdl1.2debian        1.2.13-2          Simple DirectMedia Layer
ii  python                 2.5.2-2           An interactive high-level object-o
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages kvm recommends:
ii  linux-image-2.6.23.1+hati.2 [ hati.2     Linux kernel binary image for vers
ii  linux-image-2.6.24.2+hati.1 [ hati.1     Linux kernel binary image for vers
ii  linux-image-2.6.25+hati.1 [li hati.1     Linux kernel binary image for vers
ii  linux-image-2.6.25+hati.2 [li hati.2     Linux kernel binary image for vers
ii  linux-image-2.6.26.2+hati.1 [ hati.1     Linux kernel binary image for vers

Versions of packages kvm suggests:
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system
pn  hal                           <none>     (no description available)
pn  kvm-source                    <none>     (no description available)
pn  samba                         <none>     (no description available)
pn  vde2                          <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, libvirt-bin@packages.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Tue, 18 Nov 2008 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to libvirt-bin@packages.debian.org, Jan Lübbe <jluebbe@debian.org>. (Tue, 18 Nov 2008 20:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 494831@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 494831@bugs.debian.org
Cc: control@bugs.debian.org
Subject: I think I ran into this
Date: Tue, 18 Nov 2008 21:55:03 +0100
# this really deserves grave, but I'd rather have it fixed than argued about
severity 494831 important
thanks

My kvm/qemu domain has the following output defined via libvirt:

sookie:~# cat /etc/libvirt/qemu/test.xml 
...
    <serial type='pty'>
      <target port='0'/>
    </serial>
    <console type='pty'>
      <target port='0'/>
    </console>

and I have the kernel console redirected to ttyS0, so kernel log
messages end up on the pty there.

After some kernel action, say mounting a few filesystem, iptables
logging etc, some internal buffer runs over and the entire domain
freezes up.

That is, until I look at the console using 'virsh console test'.  Then I
get all the backlog spewn at me and stuff continues.

This really really needs to get fixed.
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Severity set to `important' from `normal' Request was from Peter Palfrader <weasel@debian.org> to control@bugs.debian.org. (Tue, 18 Nov 2008 20:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Tue, 18 Nov 2008 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 18 Nov 2008 21:03:53 GMT) Full text and rfc822 format available.

Message #17 received at 494831@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 494831@bugs.debian.org
Subject: Re: I think I ran into this
Date: Tue, 18 Nov 2008 21:59:27 +0100
On Tue, 18 Nov 2008, Peter Palfrader wrote:

> After some kernel action, say mounting a few filesystem, iptables
> logging etc, some internal buffer runs over and the entire domain
> freezes up.

s/over/full/
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Thu, 20 Nov 2008 07:30:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 20 Nov 2008 07:30:21 GMT) Full text and rfc822 format available.

Message #22 received at 494831@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 494831@bugs.debian.org
Subject: patch
Date: Thu, 20 Nov 2008 09:27:58 +0200
Hi,

The following patches fix it in qemu, should apply to kvm too:

http://nchipin.kos.to/qemu/debdiff.patch



-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Thu, 20 Nov 2008 08:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 20 Nov 2008 08:36:06 GMT) Full text and rfc822 format available.

Message #27 received at 494831@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 494831@bugs.debian.org
Subject: Re: I think I ran into this
Date: Thu, 20 Nov 2008 09:33:08 +0100
On Tue, 18 Nov 2008, Peter Palfrader wrote:

> After some kernel action, say mounting a few filesystem, iptables
> logging etc, some internal buffer runs full and the entire domain
> freezes up.
> 
> That is, until I look at the console using 'virsh console test'.  Then I
> get all the backlog spewn at me and stuff continues.

I reproduced the same problem with just qemu, and riku provided a patch
that fixed the issue for me.

It'll be part of 0.9.1-8, currently also to be found at
http://nchipin.kos.to/qemu/

One of the patches included is already part of kvm, but
62_fix-ptyblocking.patch is new and it built and fixed the problem for
me.

Serial is even then still not really very good, but at least it doesn't
lock up everything.
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Thu, 20 Nov 2008 14:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Lübbe <jluebbe@lasnet.de>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 20 Nov 2008 14:51:09 GMT) Full text and rfc822 format available.

Message #32 received at 494831@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@lasnet.de>
To: Peter Palfrader <weasel@debian.org>, 494831@bugs.debian.org
Subject: Re: Bug#494831: I think I ran into this
Date: Thu, 20 Nov 2008 15:48:41 +0100
On Thu, 2008-11-20 at 09:33 +0100, Peter Palfrader wrote:
> It'll be part of 0.9.1-8, currently also to be found at
> http://nchipin.kos.to/qemu/
> 
> One of the patches included is already part of kvm, but
> 62_fix-ptyblocking.patch is new and it built and fixed the problem for
> me.

Do you think we should try to push that for lenny?

-- 
Jan Lübbe <jluebbe@lasnet.de>            http://sicherheitsschwankung.de
 gpg-key      1024D/D8480F2E 2002-03-20
 fingerprint  1B25 F91F 9E7B 5D4F 1282  02D6 8A83 8BE4 D848 0F2E





Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Thu, 20 Nov 2008 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 20 Nov 2008 15:27:05 GMT) Full text and rfc822 format available.

Message #37 received at 494831@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Jan Lübbe <jluebbe@lasnet.de>
Cc: 494831@bugs.debian.org
Subject: Re: Bug#494831: I think I ran into this
Date: Thu, 20 Nov 2008 16:25:17 +0100
Jan Lübbe schrieb am Donnerstag, dem 20. November 2008:

> On Thu, 2008-11-20 at 09:33 +0100, Peter Palfrader wrote:
> > It'll be part of 0.9.1-8, currently also to be found at
> > http://nchipin.kos.to/qemu/
> > 
> > One of the patches included is already part of kvm, but
> > 62_fix-ptyblocking.patch is new and it built and fixed the problem for
> > me.
> 
> Do you think we should try to push that for lenny?

I think we should.
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Reply sent to Jan Lübbe <jluebbe@debian.org>:
You have taken responsibility. (Thu, 20 Nov 2008 16:24:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug acknowledged by developer. (Thu, 20 Nov 2008 16:24:06 GMT) Full text and rfc822 format available.

Message #42 received at 494831-close@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@debian.org>
To: 494831-close@bugs.debian.org
Subject: Bug#494831: fixed in kvm 72+dfsg-3
Date: Thu, 20 Nov 2008 16:17:03 +0000
Source: kvm
Source-Version: 72+dfsg-3

We believe that the bug you reported is fixed in the latest version of
kvm, which is due to be installed in the Debian FTP archive:

kvm-source_72+dfsg-3_all.deb
  to pool/main/k/kvm/kvm-source_72+dfsg-3_all.deb
kvm_72+dfsg-3.diff.gz
  to pool/main/k/kvm/kvm_72+dfsg-3.diff.gz
kvm_72+dfsg-3.dsc
  to pool/main/k/kvm/kvm_72+dfsg-3.dsc
kvm_72+dfsg-3_i386.deb
  to pool/main/k/kvm/kvm_72+dfsg-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Lübbe <jluebbe@debian.org> (supplier of updated kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 20 Nov 2008 16:41:26 +0100
Source: kvm
Binary: kvm kvm-source
Architecture: source all i386
Version: 72+dfsg-3
Distribution: unstable
Urgency: medium
Maintainer: Jan Lübbe <jluebbe@debian.org>
Changed-By: Jan Lübbe <jluebbe@debian.org>
Description: 
 kvm        - Full virtualization on x86 hardware
 kvm-source - Source for the KVM driver
Closes: 494831
Changes: 
 kvm (72+dfsg-3) unstable; urgency=medium
 .
   * Apply patch from qemu (62_fix-ptyblocking.patch) which fixes a lockup
     when using a pty as serial console, which caused problems for libvirt
     users. Thanks to Peter Palfrader and Riku Voipio (closes: #494831)
Checksums-Sha1: 
 f9bc54aac0c78813df930c5a99f8b9b39b119e07 1320 kvm_72+dfsg-3.dsc
 0ae8ac7acd17e37cde8ef26d8f9beca7e1782cd3 38439 kvm_72+dfsg-3.diff.gz
 2bfbb5983e0f8958612eda4204dd2809606c13e3 157192 kvm-source_72+dfsg-3_all.deb
 8b0e1830e47d67ce0602665fb230c5468254c8db 1030062 kvm_72+dfsg-3_i386.deb
Checksums-Sha256: 
 024d0bbe1ae4b7d39fe8a52952e5248586f79b7ef1d48fc4c6d57d0bf2738b13 1320 kvm_72+dfsg-3.dsc
 04d39356f8001ed6578512284e25f985d5a5c3d1891ae959b526e48b9e1cdd94 38439 kvm_72+dfsg-3.diff.gz
 e18adbfe101abb0edfe75486be1e4dc91b988e4809a44fb02533aeef57e0be0e 157192 kvm-source_72+dfsg-3_all.deb
 1a76c8aa19699f7f6adefb9397309ca9ceaa3db5f6ea9fe76749356bd79a8dc1 1030062 kvm_72+dfsg-3_i386.deb
Files: 
 95d0368c4c55ffbaa85380e3ec546855 1320 misc optional kvm_72+dfsg-3.dsc
 38df6d31e0a35cc566f4ace2dda7b8e9 38439 misc optional kvm_72+dfsg-3.diff.gz
 793187f33a98b21c8f8edc296f6b60d6 157192 misc optional kvm-source_72+dfsg-3_all.deb
 2ac64ef2aa6d9708f58f6186baf51090 1030062 misc optional kvm_72+dfsg-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkklibkACgkQioOL5NhIDy5wNQCgx3OCm7+prMx2qVV+hrhtSPUr
20UAoIdbLWFIfAHYwIlWH1jsDpFrKZK/
=x3DZ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#494831; Package kvm. (Mon, 24 Nov 2008 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <peter@palfrader.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Mon, 24 Nov 2008 13:09:04 GMT) Full text and rfc822 format available.

Message #47 received at 494831@bugs.debian.org (full text, mbox):

From: Peter Palfrader <peter@palfrader.org>
To: Jan Lübbe <jluebbe@lasnet.de>
Cc: 494831@bugs.debian.org
Subject: Re: Bug#494831: I think I ran into this
Date: Mon, 24 Nov 2008 14:06:53 +0100
Jan Lübbe schrieb am Donnerstag, dem 20. November 2008:

> On Thu, 2008-11-20 at 16:25 +0100, Peter Palfrader wrote:
> > Jan Lübbe schrieb am Donnerstag, dem 20. November 2008:
> > 
> > > On Thu, 2008-11-20 at 09:33 +0100, Peter Palfrader wrote:
> > > > It'll be part of 0.9.1-8, currently also to be found at
> > > > http://nchipin.kos.to/qemu/
> > > > 
> > > > One of the patches included is already part of kvm, but
> > > > 62_fix-ptyblocking.patch is new and it built and fixed the problem for
> > > > me.
> > > 
> > > Do you think we should try to push that for lenny?
> > 
> > I think we should.
> 
> I've uploaded a version with that patch. Could you verify that your
> problem is fixed?

I can no longer reproduce the problem in 72+dfsg-3, so I think it's
fixed.  Thanks.

-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Reply sent to Riku Voipio <riku@debian.org>:
You have taken responsibility. (Wed, 26 Nov 2008 21:33:12 GMT) Full text and rfc822 format available.

Notification sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug acknowledged by developer. (Wed, 26 Nov 2008 21:33:12 GMT) Full text and rfc822 format available.

Message #52 received at 494831-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku@debian.org>
To: 494831-close@bugs.debian.org
Subject: Bug#494831: fixed in qemu 0.9.1-8
Date: Wed, 26 Nov 2008 21:17:24 +0000
Source: qemu
Source-Version: 0.9.1-8

We believe that the bug you reported is fixed in the latest version of
qemu, which is due to be installed in the Debian FTP archive:

qemu_0.9.1-8.diff.gz
  to pool/main/q/qemu/qemu_0.9.1-8.diff.gz
qemu_0.9.1-8.dsc
  to pool/main/q/qemu/qemu_0.9.1-8.dsc
qemu_0.9.1-8_i386.deb
  to pool/main/q/qemu/qemu_0.9.1-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku@debian.org> (supplier of updated qemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Nov 2008 23:21:43 +0200
Source: qemu
Binary: qemu
Architecture: source i386
Version: 0.9.1-8
Distribution: unstable
Urgency: low
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Changed-By: Riku Voipio <riku@debian.org>
Description: 
 qemu       - fast processor emulator
Closes: 494831
Changes: 
 qemu (0.9.1-8) unstable; urgency=low
 .
   * debian/patches:
       - cherry-pick from svn: 61_pseudotty.patch 62_fix-ptyblocking.patch
         closes: #494831
Checksums-Sha1: 
 7a11c3f5a044019610c6a9aafb247540fcd8b894 1602 qemu_0.9.1-8.dsc
 871cf6178d6706f1301f3665f357f60eb4dbbd11 84489 qemu_0.9.1-8.diff.gz
 18a1bd216b671f18c223564985c5e9d7766a40e5 10548302 qemu_0.9.1-8_i386.deb
Checksums-Sha256: 
 d4f76aaa01a84eb6979c3664570005369b5b33e945d68b27dc02e064535f4ac5 1602 qemu_0.9.1-8.dsc
 9addfad0ad14c994dd09c7b289c25e3c7489e59fbb7cddd47719a3a226407bb8 84489 qemu_0.9.1-8.diff.gz
 a6e59e4733973053670dbd04785a7a7ab0a8a7999b123347d796a1ff425e59b1 10548302 qemu_0.9.1-8_i386.deb
Files: 
 6493f6ae783b951483634a94feff0900 1602 misc optional qemu_0.9.1-8.dsc
 bd791f58bd685f9aaf1370f322242449 84489 misc optional qemu_0.9.1-8.diff.gz
 8235042e8be30b43c28ce641db68ae05 10548302 misc optional qemu_0.9.1-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJJIt1ibPvMsrqrwMRAh3mAJ4koFkoFwI3HrC+0TgfH5WAEfJ43wCeNvUQ
Ck8oAGnQZC56oyQfg7E989k=
=SOeC
-----END PGP SIGNATURE-----





Bug reopened, originator not changed. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Wed, 26 Nov 2008 22:27:07 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 79+dfsg-1. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Fri, 28 Nov 2008 12:24:05 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Fri, 28 Nov 2008 12:27:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Dehennin <daniel.dehennin@baby-gnu.org>:
Bug acknowledged by developer. (Fri, 28 Nov 2008 12:27:06 GMT) Full text and rfc822 format available.

Message #61 received at 494831-done@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 494831-done@bugs.debian.org
Subject: closing again
Date: Fri, 28 Nov 2008 13:24:44 +0100
Version: 72+dfsg-3

Closing this bug again. Got reopened by mistake from someone else.
 -- Guido




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Jan 2009 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:11:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.